## obs-retro-effects 1.0.0

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
    legacy_check()
  endif()
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.18)
endif()

project(obs-retro-effects VERSION 1.0.0)
set(PROJECT_FULL_NAME "Retro Effects")

# Set new UUIDs when you start to create a new plugin.
set(MACOS_PACKAGE_UUID "3a15f7de-bc97-4652-b32a-15f1ce79417c")
set(MACOS_INSTALLER_UUID "598e7d68-00e7-4b30-8617-a3ad2e98985d")

add_library(${PROJECT_NAME} MODULE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/version.h)

target_sources(${PROJECT_NAME} PRIVATE
    src/base-filter.h
	src/obs-retro-effects-filter.c
	src/obs-retro-effects-plugin.c
	src/obs-retro-effects-filter.h
	src/obs-retro-effects.h
	src/obs-utils.c
	src/obs-utils.h
	src/blur/bloom.c
	src/blur/bloom.h
	src/blur/blur.c
	src/blur/blur.h
	src/blur/gaussian-kernel.c
	src/blur/gaussian-kernel.h
	src/filters/analog-glitch.c
	src/filters/analog-glitch.h
	src/filters/bloom-f.c
	src/filters/bloom-f.h
	src/filters/cathode-boot.c
	src/filters/cathode-boot.h
	src/filters/chromatic-aberration.c
	src/filters/chromatic-aberration.h
	src/filters/crt.c
	src/filters/crt.h
    src/filters/codec.c
	src/filters/codec.h
	src/filters/digital-glitch.c
	src/filters/digital-glitch.h
	src/filters/dither.c
	src/filters/dither.h
	src/filters/frame-skip.c
	src/filters/frame-skip.h
	src/filters/interlace.c
	src/filters/interlace.h
	src/filters/matrix-rain.c
	src/filters/matrix-rain.h
	src/filters/ntsc.c
	src/filters/ntsc.h
	src/filters/posterize.c
	src/filters/posterize.h
	src/filters/vhs.c
	src/filters/vhs.h
	src/filters/scan-lines.c
	src/filters/scan-lines.h
	src/version.h)

if(BUILD_OUT_OF_TREE)
	find_package(libobs REQUIRED)
	include(cmake/ObsPluginHelpers.cmake)
endif()
  
if(OS_WINDOWS)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/resource.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	target_sources(${PROJECT_NAME} PRIVATE 
		${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
elseif(OS_MACOS)
		set(MACOS_BUNDLEID "com.finitesingularity.${PROJECT_NAME}")
		set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
		set(MACOSX_PLUGIN_BUNDLE_VERSION "${PROJECT_VERSION}")
		set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")
		configure_file(cmake/bundle/macos/installer-macos.pkgproj.in ${CMAKE_BINARY_DIR}/installer-macos.generated.pkgproj)
		target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
endif()

target_link_libraries(${PROJECT_NAME}
	OBS::libobs)

if(BUILD_OUT_OF_TREE)
    if(NOT LIB_OUT_DIR)
        set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    if(NOT DATA_OUT_DIR)
        set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
    endif()
    set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
    install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
    install(DIRECTORY data/locale
        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
    setup_plugin_target(${PROJECT_NAME})
else()
    if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
        set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/finitesingularity" PREFIX "")
    else()
        set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/finitesingularity")
        setup_plugin_target(${PROJECT_NAME})
    endif()
endif()

=== debian/changelog ===
obs-retro-effects (1.0.0-2) unstable; urgency=medium

  * Upload to unstable.
  * Providing the README.md file from upstream and a plain text version
    of it. Consequently:
      - debian/control: added pandoc to Build-Depends field.
      - debian/docs: created to install README.md.
      - debian/rules: created the target execute_after_dh_installdocs to
        generate the plain text.
  * debian/control: improved long description.
  * debian/patches/:
      - 020_add-pt-BR.patch: created to add translation to pt-BR.
      - 030_fix-typos.patch: fix typos in original upstream text.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 03 Apr 2025 23:57:34 -0300

obs-retro-effects (1.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1101798)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 01 Apr 2025 01:21:21 -0300

## obs-retro-effects 1.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,12 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
-  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
-    legacy_check()
-  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(obs-retro-effects VERSION 1.0.0)
+project(obs-retro-effects VERSION 1.0.1)
 set(PROJECT_FULL_NAME "Retro Effects")
 
 # Set new UUIDs when you start to create a new plugin.

=== debian/changelog ===
obs-retro-effects (1.0.1-1) unstable; urgency=medium

  * New upstream version 1.0.1.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/:
      - 010_change-project-name.patch: updated to make it compliant with the
        new upstream release.
      - 020_update-pt-BR.patch: created to update pt-BR translation.
      - Removed because the upstream applied them (thanks):
          ~ 020_add-pt-BR.patch
          ~ 030_fix-typos.patch

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Sep 2025 16:50:49 -0300

=== debian/control ===
Source: obs-retro-effects
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev, pandoc
Standards-Version: 4.7.2
Homepage: https://obsproject.com/forum/resources/retro-effects.1972/
Vcs-Browser: https://salsa.debian.org/debian/obs-retro-effects
Vcs-Git: https://salsa.debian.org/debian/obs-retro-effects.git

Package: obs-retro-effects
Architecture: any
Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Description: plugin for OBS Studio that simulates retro hardware
 Retro Effects is an OBS plugin that provides several filters to simulate
 retro hardware (e.g. CRTs, NTSC Signals, etc) giving to OBS sources an
 authentic retro look/feel.
 .
 CAUTION: some features will require a powerful graphics card.
 .
 Retro effects provides the following filters:
 .
   Chromatic Aberration
   Frame Skip
   Interlace
   Posterize
   Dither
   CRT
   NTSC
   Cathode Boot
   Matrix Rain
   Retro Codec
   VHS
   Bloom
   Scanlines
   Digital Glitch
   Analog Glitch

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Needed for GCC-12 and ABI issues.
# https://github.com/exeldro/obs-source-clone/issues/16
export DEB_CFLAGS_MAINT_APPEND = -Wno-psabi

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

execute_before_dh_auto_configure:
	if [ "$(shell hostname)" = "canopus" ]; then \
	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
	        echo "ERROR: Translation to pt_BR is out of date."; \
	        exit 1; \
	    fi; \
	fi

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                             -DLINUX_PORTABLE=Off

execute_before_dh_install:
	mkdir -p ${PLUGIN_DEST}
	find -name lib${PLUGIN_NAME}.so -exec cp {} ${PLUGIN_DEST}/${PLUGIN_NAME}.so \;

execute_after_dh_installdocs:
	cd debian/${DEB_SOURCE}/usr/share/doc/${DEB_SOURCE}; \
	pandoc README.md -f markdown -t plain -o README

=== debian/watch ===
version=4
https://github.com/FiniteSingularity/obs-retro-effects/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-retro-effects 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(obs-retro-effects VERSION 1.0.1)
+project(obs-retro-effects VERSION 1.0.2)
 set(PROJECT_FULL_NAME "Retro Effects")
 
 # Set new UUIDs when you start to create a new plugin.

=== debian/changelog ===
obs-retro-effects (1.0.2-1) unstable; urgency=medium

  * New upstream version 1.0.2.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/:
      - 010_change-project-name.patch: updated to make it compliant with the
        new upstream release.
      - 020_update-pt-BR.patch: dropped because the upstream applied this
        patch. Thanks!
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Feb 2026 23:18:09 -0300

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: obs-retro-effects
 Section: video
-Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev, pandoc
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://obsproject.com/forum/resources/retro-effects.1972/
 Vcs-Browser: https://salsa.debian.org/debian/obs-retro-effects
 Vcs-Git: https://salsa.debian.org/debian/obs-retro-effects.git

=== debian/watch ===
Version: 5

Template: Github
Owner: FiniteSingularity
Project: obs-retro-effects
